Bug 849824 - [abrt] python-2.7.3-7.2.fc17: isSignalConnected: Process /usr/bin/python2.7 was killed by signal 11 (SIGSEGV)
[abrt] python-2.7.3-7.2.fc17: isSignalConnected: Process /usr/bin/python2.7 w...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: python (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bohuslav "Slavek" Kabrda
Fedora Extras Quality Assurance
abrt_hash:7d328b0ad961bffe7cd9537cc75...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-21 00:26 EDT by Stephen
Modified: 2013-07-31 15:42 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 15:42:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (85.11 KB, text/plain)
2012-08-21 00:26 EDT, Stephen
no flags Details
File: maps (85.30 KB, text/plain)
2012-08-21 00:26 EDT, Stephen
no flags Details
File: dso_list (19.26 KB, text/plain)
2012-08-21 00:26 EDT, Stephen
no flags Details
File: build_ids (7.77 KB, text/plain)
2012-08-21 00:26 EDT, Stephen
no flags Details

  None (edit)
Description Stephen 2012-08-21 00:26:05 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        /usr/bin/python /usr/lib/python2.7/site-packages/eric4/eric4.py
comment:        Every time I open Eric and begin to edit a file it freezes after about 5-10 seconds and automatically close with an error.
crash_function: isSignalConnected
executable:     /usr/bin/python2.7
kernel:         3.5.2-1.fc17.x86_64
pid:            5664
pwd:            /home/Steve-O
remote_result:  NOTFOUND
time:           Mon 20 Aug 2012 10:23:10 PM CDT
uid:            1000
username:       Steve-O
var_log_messages: Aug 20 22:23:11 SteveO abrt[5755]: Saved core dump of pid 5664 (/usr/bin/python2.7) to /var/spool/abrt/ccpp-2012-08-20-22:23:10-5664 (85028864 bytes)
xsession_errors: 

backtrace:      Text file, 87149 bytes
build_ids:      Text file, 7954 bytes
dso_list:       Text file, 19720 bytes
maps:           Text file, 87349 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/Steve-O/2

core_backtrace:
:12bc9d1ff0b278c3f555e94fd58241efd214c7fd 0x18c949 QMetaObject::activate(QObject*, libQtCore.so.4 -
:7b744bf98a2fbbdae55e6f1abd1f156cfef1776b 0x4095e QHttp::stateChanged(int) libQtNetwork.so.4 -
:7b744bf98a2fbbdae55e6f1abd1f156cfef1776b 0x409ea - libQtNetwork.so.4 -
:7b744bf98a2fbbdae55e6f1abd1f156cfef1776b 0x45d58 - libQtNetwork.so.4 -
:12bc9d1ff0b278c3f555e94fd58241efd214c7fd 0x18cb9f QMetaObject::activate(QObject*, libQtCore.so.4 -
:7b744bf98a2fbbdae55e6f1abd1f156cfef1776b 0xc05f1 QAbstractSocket::error(QAbstractSocket::SocketError) libQtNetwork.so.4 -
:7b744bf98a2fbbdae55e6f1abd1f156cfef1776b 0xdbc8f - libQtNetwork.so.4 -
:7b744bf98a2fbbdae55e6f1abd1f156cfef1776b 0xde987 - libQtNetwork.so.4 -
:12bc9d1ff0b278c3f555e94fd58241efd214c7fd 0x18cb9f QMetaObject::activate(QObject*, libQtCore.so.4 -
:7b744bf98a2fbbdae55e6f1abd1f156cfef1776b 0xc05f1 QAbstractSocket::error(QAbstractSocket::SocketError) libQtNetwork.so.4 -
:7b744bf98a2fbbdae55e6f1abd1f156cfef1776b 0xc44ce - libQtNetwork.so.4 -
:7b744bf98a2fbbdae55e6f1abd1f156cfef1776b 0xc4637 - libQtNetwork.so.4 -
:7b744bf98a2fbbdae55e6f1abd1f156cfef1776b 0xc5131 - libQtNetwork.so.4 -
:12bc9d1ff0b278c3f555e94fd58241efd214c7fd 0x18cb9f QMetaObject::activate(QObject*, libQtCore.so.4 -
:12bc9d1ff0b278c3f555e94fd58241efd214c7fd 0x18ab1c QObject::event(QEvent*) libQtCore.so.4 -
:f8939a2cb04dfc17a2c6cac4e110d4d0162dffa4 0x1ca37c QApplicationPrivate::notify_helper(QObject*, libQtGui.so.4 -
:f8939a2cb04dfc17a2c6cac4e110d4d0162dffa4 0x1ce7fa QApplication::notify(QObject*, libQtGui.so.4 -
:45233850a6f6927fbb6998ea321ad46e727ca361 0x50f446 - QtGui.so -
:12bc9d1ff0b278c3f555e94fd58241efd214c7fd 0x1763ee QCoreApplication::notifyInternal(QObject*, libQtCore.so.4 -
:12bc9d1ff0b278c3f555e94fd58241efd214c7fd 0x1a6d52 - libQtCore.so.4 -
:12bc9d1ff0b278c3f555e94fd58241efd214c7fd 0x1a3e84 - libQtCore.so.4 -
:12bc9d1ff0b278c3f555e94fd58241efd214c7fd 0x1a3ea1 - libQtCore.so.4 -
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x47695 g_main_context_dispatch libglib-2.0.so.0 -
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x479c8 - libglib-2.0.so.0 -
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x47a84 g_main_context_iteration libglib-2.0.so.0 -
:12bc9d1ff0b278c3f555e94fd58241efd214c7fd 0x1a44e6 QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) libQtCore.so.4 -
:f8939a2cb04dfc17a2c6cac4e110d4d0162dffa4 0x26a2ee - libQtGui.so.4 -
:12bc9d1ff0b278c3f555e94fd58241efd214c7fd 0x17513f QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) libQtCore.so.4 -
:12bc9d1ff0b278c3f555e94fd58241efd214c7fd 0x1753c8 QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) libQtCore.so.4 -
:12bc9d1ff0b278c3f555e94fd58241efd214c7fd 0x17a1b8 QCoreApplication::exec() libQtCore.so.4 -
:45233850a6f6927fbb6998ea321ad46e727ca361 0x50e0fb - QtGui.so -
:b18586fcfc52cc29c9623ef45ad533e2ba1f2f37 0xdd0e1 PyEval_EvalFrameEx libpython2.7.so.1.0 -
:b18586fcfc52cc29c9623ef45ad533e2ba1f2f37 0xdcd51 PyEval_EvalFrameEx libpython2.7.so.1.0 -
:b18586fcfc52cc29c9623ef45ad533e2ba1f2f37 0xddb1f PyEval_EvalCodeEx libpython2.7.so.1.0 -
:b18586fcfc52cc29c9623ef45ad533e2ba1f2f37 0xddbf2 PyEval_EvalCode libpython2.7.so.1.0 -
:b18586fcfc52cc29c9623ef45ad533e2ba1f2f37 0xf6b9a - libpython2.7.so.1.0 -
:b18586fcfc52cc29c9623ef45ad533e2ba1f2f37 0xf7992 PyRun_FileExFlags libpython2.7.so.1.0 -
:b18586fcfc52cc29c9623ef45ad533e2ba1f2f37 0xf83ab PyRun_SimpleFileExFlags libpython2.7.so.1.0 -
:b18586fcfc52cc29c9623ef45ad533e2ba1f2f37 0x109882 Py_Main libpython2.7.so.1.0 -

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=SteveO
:GIO_LAUNCHED_DESKTOP_FILE_PID=5664
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GPG_AGENT_INFO=/run/user/Steve-O/keyring-qRMAMR/gpg:0:1
:TERM=dumb
:SHELL=/bin/bash
:HISTSIZE=1000
:GJS_DEBUG_OUTPUT=stderr
:GNOME_KEYRING_CONTROL=/run/user/Steve-O/keyring-qRMAMR
:QTDIR=/usr/lib64/qt-3.3
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:QTINC=/usr/lib64/qt-3.3/include
:IMSETTINGS_MODULE=none
:QT_GRAPHICSSYSTEM_CHECKED=1
:USER=Steve-O
:QT4DOCDIR=%{_qt4_docdir}/html
:SSH_AUTH_SOCK=/run/user/Steve-O/keyring-qRMAMR/ssh
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/2143,unix/unix:/tmp/.ICE-unix/2143
:USERNAME=Steve-O
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/eric4.desktop
:DESKTOP_SESSION=gnome
:PATH=/usr/lib64/qt-3.3/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/Steve-O/.local/bin:/home/Steve-O/bin
:MAIL=/var/spool/mail/Steve-O
:QT_IM_MODULE=xim
:PWD=/home/Steve-O
:XMODIFIERS=@im=none
:LANG=en_US.UTF-8
:GNOME_KEYRING_PID=2139
:KDE_IS_PRELINKED=1
:QT4DIR=%{_qt4_prefix}
:KDEDIRS=/usr
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:PYQT4DOCDIR=/usr/share/doc/PyQt4-devel-4.9/html
:SHLVL=1
:HOME=/home/Steve-O
:XDG_SEAT=seat0
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:LOGNAME=Steve-O
:QTLIB=/usr/lib64/qt-3.3/lib
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-PBUUmkFbO2,guid=fdd060b8a9e51eb6054bde7500000049
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:PYTHONDOCDIR=/usr/share/doc/python-docs-2.7/html
:WINDOWPATH=1
:DISPLAY=:0
:XDG_RUNTIME_DIR=/run/user/Steve-O
:QT_PLUGIN_PATH=/usr/lib64/kde4/plugins:/usr/lib/kde4/plugins
:XAUTHORITY=/var/run/gdm/auth-for-Steve-O-Rfkn9R/database

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 15860                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       15860                15860                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/home/Steve-O/.xsession-errors
:pos:	94994
:flags:	0102002
:2:/home/Steve-O/.xsession-errors
:pos:	94994
:flags:	0102002
:3:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:4:pipe:[50354]
:pos:	0
:flags:	02004000
:5:pipe:[50354]
:pos:	0
:flags:	02004001
:6:socket:[50355]
:pos:	0
:flags:	02004002
:7:socket:[50358]
:pos:	0
:flags:	02004002
:8:socket:[50362]
:pos:	0
:flags:	02004002
:9:socket:[50366]
:pos:	0
:flags:	02004002
:10:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:11:socket:[50368]
:pos:	0
:flags:	02004002
:12:socket:[50370]
:pos:	0
:flags:	02000002
:13:socket:[50380]
:pos:	0
:flags:	02004002
:14:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:15:pipe:[50388]
:pos:	0
:flags:	02004001
:16:pipe:[50389]
:pos:	0
:flags:	02004000
:17:socket:[50450]
:pos:	0
:flags:	02004002
:18:pipe:[50443]
:pos:	0
:flags:	02004001
:19:pipe:[50444]
:pos:	0
:flags:	02004000
:20:pipe:[50391]
:pos:	0
:flags:	02004000
:21:pipe:[50391]
:pos:	0
:flags:	02000001
:22:socket:[50457]
:pos:	0
:flags:	02004002
:23:pipe:[50445]
:pos:	0
:flags:	02004000

smolt_data:
:
:
:General
:=================================
:UUID: 1905abdf-d103-4951-b129-cbe1f2a971cf
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 4583.04
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM) i7-3615QM CPU @ 2.30GHz
:CPU Stepping: 9
:CPU Family: 6
:CPU Model Num: 58
:Number of CPUs: 1
:CPU Speed: 2291
:System Memory: 2003
:System Swap: 2015
:Vendor: innotek GmbH
:System: VirtualBox 1.2
:Form factor: Unknown
:Kernel: 3.5.2-1.fc17.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Permissive
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(4203:63:0:0) pci, ohci_hcd, USB, KeyLargo/Intrepid USB
:(32902:10281:0:0) pci, ahci, STORAGE, 82801HBM/HEM (ICH8M/ICH8M-E) SATA AHCI Controller
:(33006:48879:0:0) pci, None, VIDEO, VirtualBox Graphics Adapter
:(32902:28947:0:0) pci, None, BRIDGE, 82371AB/EB/MB PIIX4 ACPI
:(32902:4110:32902:30) pci, e1000, ETHERNET, PRO/1000 MT Desktop Adapter
:(33006:51966:0:0) pci, vboxguest, BASE, VirtualBox Guest Service
:(32902:9820:0:0) pci, ehci_hcd, USB, 82801FB/FBM/FR/FW/FRW (ICH6 Family) USB2 EHCI Controller
:(32902:4663:0:0) pci, None, HOST/PCI, 440FX - 82441FX PMC [Natoma]
:(32902:9237:32902:0) pci, snd_intel8x0, MULTIMEDIA_AUDIO, 82801AA AC'97 Audio Controller
:(32902:28945:0:0) pci, ata_piix, STORAGE, 82371AB/EB/MB PIIX4 IDE
:(32902:28672:0:0) pci, None, PCI/ISA, 82371SB PIIX3 ISA [Natoma/Triton II]
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_steveo-lv_root / ext4 4096 4096 12264146 9924789 9800210 3121152 2896672 2896672
:/dev/sda1 /boot ext4 1024 1024 495844 423002 397402 128016 127658 127658
:
Comment 1 Stephen 2012-08-21 00:26:25 EDT
Created attachment 605824 [details]
File: backtrace
Comment 2 Stephen 2012-08-21 00:26:27 EDT
Created attachment 605825 [details]
File: maps
Comment 3 Stephen 2012-08-21 00:26:29 EDT
Created attachment 605826 [details]
File: dso_list
Comment 4 Stephen 2012-08-21 00:26:30 EDT
Created attachment 605827 [details]
File: build_ids
Comment 5 Fedora Admin XMLRPC Client 2013-05-10 01:04:54 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 6 Fedora Admin XMLRPC Client 2013-05-10 01:04:59 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 7 Fedora Admin XMLRPC Client 2013-05-10 01:08:08 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 8 Fedora Admin XMLRPC Client 2013-05-10 01:16:17 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 9 Fedora Admin XMLRPC Client 2013-05-10 01:16:31 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 10 Fedora End Of Life 2013-07-03 16:11:07 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 11 Fedora End Of Life 2013-07-31 15:42:07 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.